#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         petar
%global repo            GoLLRB
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-gollrb
Version:        0.0.0+git20130427.53be0d3
Release:        3.1
Summary:        Left-Leaning Red-Black balanced binary search tree
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
GoLLRB is a Left-Leaning Red-Black (LLRB) implementation of 2-3 balanced binary
search trees in Google Go.

%prep
%setup -q -n %{repo}-%{version}

# do not build these examples
rm -rf example

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md LICENSE AUTHORS

%changelog
* Mon Dec 19 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-petar-gollrb
- update version 0.0.0+git20130427.53be0d3
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- add xz as BuildRequires
* Fri Mar 20 2015 i@marguerite.su
- update version 0.0.0+git20130427.53be0d3
- remove go_disable_brp_strip_static_archive usage
- drop GoLLRB-weekly-fixes.patch
  * upstream contains this fix
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Mon Jun 11 2012 graham@andtech.eu
- Update spec files for new pacakge location
- Add documentation package
* Tue Dec 13 2011 saschpe@suse.de
- Re-packaged tarball
- Adjust to Go weekly.2011-12-02 release changes
* Fri Jun 24 2011 saschpe@suse.de
- Fixed URL
* Fri Jun 24 2011 saschpe@suse.de
- Corrected package description
* Fri Jun 24 2011 saschpe@suse.de
- Initial version
